function c=dinamicac_unod(c,D,I,alphac,U,gammac,cstar,qc)
%Funzione che prende in input un vettore colonna a valori interi positivi 
%di lunghezza almeno 3 e restituisce il vettore ottenuto a seguito di
%diffusione, decadimento e produzione della popolazione I. 
%Condizioni al bordo di Neumann omogenee

c_right=[c(2:end);0];
c_left=[0;c(1:end-1)];

c=c+D*(c_left+c_right-2*c)+(alphac*I+gammac*U).*(cstar-c)-qc*c;
c(1)=c(2);
c(end)=c(end-1);
